# Interface FormLoadMethod<FormState, Context, Initial>

interface FormLoadMethod<FormState = any, Context = any, Initial = any> {
metadata?: any;
call(
data: { context: null | Context; initial: null | Initial },
): FormState | Promise<FormState>;
}

#### Type Parameters

- FormState = any
- Context = any
- Initial = any

#### Hierarchy

- Method<FormState>
  - FormLoadMethod

- Defined in packages/angular/forms/src/lib/directives/models.ts:10

#####
Index

### Properties

metadata?

### Methods

call

##
Properties

### `Optional` metadata

metadata?: any

Inherited from Method.metadata

- Defined in packages/pattern/src/lib/meta-data.ts:2

##
Methods

### call

- call(
  data: { context: null | Context; initial: null | Initial },
  ): FormState | Promise<FormState>

  #### Parameters

  - data: { context: null | Context; initial: null | Initial }

  #### Returns FormState | Promise<FormState>

  Overrides Method.call

  - Defined in packages/angular/forms/src/lib/directives/models.ts:11